/*
 * Created on December 11, 2003
 *
 * ManagedConnectionMetaDataImpl.java is a Resource Adapter class to test the 
 * J2EE Connector as implemented by JOnAS. 
 */
package ersatz.resourceadapter;

import javax.resource.ResourceException;
import javax.resource.spi.ManagedConnectionMetaData;

/**
 * @author Bob Kruse
 *
 * used to test the J2EE Connector as implemented by JOnAS.
 *
 */
public class ManagedConnectionMetaDataImpl 
	implements ManagedConnectionMetaData
{
    String cName = "ManagedConnectionMetaDataImpl";
    public String product="Ersatz EIS";
    public String version="1.5";
    public String userName="Ersatz_User_Name";
    //
    // constructor  
    public ManagedConnectionMetaDataImpl()
    {
    }

    public  String getEISProductName()
		throws ResourceException
	{
        Utility.log(cName+".getEISProductName");
		return product;
	}

	public  String getEISProductVersion()
		throws ResourceException
	{
        Utility.log(cName+".getEISProductVersion");
		return version;
	}

	public  int getMaxConnections()
		throws ResourceException
	{
        Utility.log(cName+".getMaxConnections");
		return 0;
	}
    public  String getUserName() {
        Utility.log(cName+".getUserName="+userName);
        return userName;
    }

}
